services:
  app:
    entrypoint:
      - sleep
      - infinity
    build:         
      args:
        # Change the desired architecture: `WORKSPACE_ARCH=arm64 or amd64`
        - WORKSPACE_ARCH=arm64
        - GO_VERSION=1.21.3
        - TINYGO_VERSION=0.30.0
        - EXTISM_VERSION=0.3.0
        - NODE_MAJOR=20
      context: .
      dockerfile: Dockerfile
    init: true
    volumes:
    - type: bind
      source: /var/run/docker.sock
      target: /var/run/docker.sock



